/*
 * ErrorC - A general class for reporting errors.
 * Part of the RandomCsp program.
 * Copyright (C) 1998 J.I. van Hemert
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 * Last revision: 12-Feb-1998
 *
 */


#ifndef _ErrorC_H
#define _ErrorC_H


#include <fstream.h>
#include <string.h>
#include <malloc.h>


class ErrorC
{
	public:
		enum ErrorTypeT
		{
			warning,
			ioerror,
			error,
			internalerror
		};

		ErrorC 
		(
			char const * const iOwner
		);
		
		~ErrorC ();
		
		void const Give
		(
			char const * const iError,
			ErrorTypeT const iErrorType
		) const;

		// Name string of my owner.
		char * Owner;
	protected:


	private:
};


#endif

// eof error.h
